/* ==========================================================================
   Semantic's custom styles
   ========================================================================== */

.main article h1 {
    font-size: 2em;
}

article h1.big {
    position: absolute;
    top: 0;
    left: 0;
    
    text-transform: uppercase;
    font-weight: 100;
    font-size: 11em;
    
    color:#252525;
    
    z-index:90;
}

.gray.layer,
.blue.layer {
    background-color: #dfdfdf;
    
    z-index:100;
    
    -moz-opacity: 0.10;
    opacity: 0.10;
    -ms-filter:"progid:DXImageTransform.Microsoft.Alpha"(Opacity=10);
}

.blue.layer {
    background-color: #000040;
    
    -moz-opacity: 0.30;
    opacity: 0.30;
    -ms-filter:"progid:DXImageTransform.Microsoft.Alpha"(Opacity=30);
    
    z-index:120;
}

.w01,
.w02,
.w03,
.w04 {
    position: absolute;
    top: 26em;
    left: 0;
    
    width:9em;
    height:10em;
}

.w02 {
    top: 36em;
    
    width:3em;
    height:8em;
}

.w03 {
    top: 38em;
    
    width: 95%;
    height: 4em;
}

.w04 {
    top: 42em;
    
    width: 84%;
    height: 5em;
}

.w05 {
    position: absolute;
    top: 38em;
    left: -4px;
    
    background-position: 0 -163px;
    
    width: 100%;
    height: 201px;
    
    z-index: 100;
}

.logo {
    left: 20%;
    top: 6em;
    
    background-position: 0 0;
    
    width: 321px;
    height: 163px;
    
    z-index: 110;
}

#welcome section p {
    margin: 19em 5% 1em;
}

#welcome footer .arrow.down {
    margin-top: 9em;
}

#welcome footer p {
    margin-top: -2.2em;
    text-align: center;
    margin-bottom: 4em;
}

#welcome footer a {
    text-transform: uppercase;
    color: #3c45fb;
    text-decoration:none;
}

.arrow.down {
    background-position: -321px -4px;
    width: 47px;
    height: 47px;
    margin:0 auto;
}

blockquote {
    position: relative;
    margin-bottom: 4em;
}

.inscribed > p {
    text-align: center;
    font-size: 1.6em;
    line-height: 1em;
    text-align: left;
    
    color: #FFF;
}

.inscribed {
    position: absolute;
    
    width: 76%;
    height: auto;
    max-height: 100%;
    
    top: 16%;
    left: 12%;
    
    overflow: hidden;
}

.inscribed > * {
    padding: 1em 0 0;
    margin: 0;
}

.texture article .inscribed > footer > p {
    margin: -10px 0 0 0;
    width: 100%;
}

.texture article blockquote footer > p,
.texture article blockquote footer > a {
    font-size: 1em;
    font-weight: 100;
    text-decoration: none;
    text-align: left;
    color: #4f77ff;
}

.texture article blockquote footer > p:before {
    content: '—';
}

.footer-container > section {
    background-color: #1b4ae9;
}

.footer-container > section > h1 {
    margin: 0;
    padding: 1.7em 0 0 0;
    
    float: left;
    
    font-weight: 100;
    color: #FFF;
    
    margin-left: 10%;
}

.footer-container > section ul {
    margin: 0;
    padding: 1em 0;
}

.footer-container > section ul > li {
    display: inline-block;
    width: 16%;
    
    padding: 1.5em 0 1em;
    
    color: #FFF;
    
    text-align: center;
    text-transform: capitalize;
    
    background: url(/img/code-lines.png) no-repeat 50% 0;
    background-size: contain;
}

.footer-container > section ul > li:first-child {
    margin-left: 5em;
}

.footer-container > section ul > li:nth-child(2) {
    background-image: url(/img/expresso.png);
}

.footer-container > section ul > li:nth-child(3) {
    background-image: url(/img/tracks.png);
}

.footer-container > section ul > li:nth-child(4) {
    background-image: url(/img/beer.png);
}

.footer-container > section ul > li > strong {
    font-size: 3em;
    font-weight: 100;
    color: #fff200;
}

footer.wrapper {
    padding: 4em 10% 1em;
    background: #222222 url(/img/footer-bg.png) no-repeat 0 0;
}

footer.wrapper p {
    float: left;
    margin: 0;
}

footer.wrapper ul {
    list-style: none;
    display: inline-block;
    margin: 0;
    padding-left: 46%;
}

footer.wrapper ul li {
    float: left;
    margin-left: 3em;
}

.facebook {
    background-image: url(/img/facebook.png);
    width: 30px;
    height: 30px;
}

.twitter {
    background-image: url(/img/twitter.png);
    background-size: contain;
    width: 58px;
    height: 58px;
    margin: -14px 0 0 0;
}

/* ==========================================================================
   Media Queries
   ========================================================================== */

@media only screen and (min-width: 480px) {

/* ========================
    INTERMEDIATE: Welcome
   ======================== */
    
    .w01 {
        top: 14em;
    }
    
    .w02 {
        top: 24em;
    }
    
    .w03 {
        top: 26em;
        width: 85%;
    }
    
    .w04 {
        top: 30em;
        width: 66%;
    }
    
    .w05 {
        width: 807px;
        top:26em;
    }
    
    #webops {
        float: left;
    }
    
    #agile,
    #consulting {
        float: right;
        text-align: right;
        margin-left: auto;
        margin-right: 17em;
    }
    
    #agile h3 {
        width: 13em;
    }
    
    #consulting h3 {
        width: 15em;
    }
    
    #agile h3,
    #agile p,
    #agile small,
    #consulting h3,
    #consulting p,
    #consulting small,
    {
        text-align: right;
        margin: 1em 0;
    }
    
    #agile p,
    #consulting p {
        position: absolute;
        right: 0;
        width: 100%;
    }
    
    blockquote {
        margin: 0 0 4em 44em;
    }
    
}

@media only screen and (min-width: 768px) {

/* ========================
    WIDE: Welcome
   ======================== */
    
    .w01 {
        width: 13em;
    }
    
    .w02 {
        width: 6em;
    }
    
    .w03 {
        width: 45em;
    }
    
    .w04 {
        width: 39em;
    }
    
    .w05 {
        left:3em;
    }
    
    #welcome section p {
        margin:4em 0 1em auto;
        width:46%;
        right:0;
    }
    
    #welcome footer .arrow.down {
        margin-top: 16em;
    }
}

@media only screen and (min-width: 1140px) {

/* ========================
    Maximal: Welcome
   ======================== */

    .w01 {
        width: 22%;
    }
    
    .w02 {
        width: 14%;
    }
    
    .w03 {
        width: 65%;
    }
    
    .w04 {
        width: 54%;
    }
    
    .w05 {
        left: 8em;
    }

}
